Get Notifications
curl --request GET \
--url https://api.royalti.io/notifications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.royalti.io/notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.royalti.io/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Notifications retrieved successfully",
"data": {
"notifications": [
{
"id": "dd12f9bc-3ed5-453e-a929-69b6d5267f4b",
"type": "Track created",
"title": "Track Created",
"content": "Track \\\"Midnight City\\\" has been created.",
"resourceType": "Asset",
"resourceId": "0b13028e-74a9-4d1d-bb9f-12cef06ff236",
"actionUrl": "/assets/0b13028e-74a9-4d1d-bb9f-12cef06ff236",
"isRead": false,
"isImportant": false,
"isArchived": false,
"metadata": {},
"expiresAt": null,
"TenantId": 2,
"TenantUserId": "c75c54e3-b6e0-4b89-b443-928727b9a931",
"createdAt": "2025-08-21T11:42:37.717Z",
"updatedAt": "2025-08-21T11:42:37.717Z"
},
{
"id": "a316f40e-c828-4996-a68e-4f10f4055a96",
"type": "Release created (Auto)",
"title": "New Release Created",
"content": "Release \\\"My First Single\\\" has been created by Test Artist",
"resourceType": "release",
"resourceId": "24011c4c-87c7-4e99-b6bd-c75caf82170d",
"actionUrl": null,
"isRead": false,
"isImportant": false,
"isArchived": false,
"metadata": {
"type": "Audio",
"format": "Single",
"status": "draft",
"artistName": "Test Artist",
"releaseTitle": "My First Single"
},
"expiresAt": null,
"TenantId": 2,
"TenantUserId": "c75c54e3-b6e0-4b89-b443-928727b9a931",
"createdAt": "2025-07-25T09:55:46.086Z",
"updatedAt": "2025-07-25T09:55:46.086Z"
}
],
"total": 34,
"page": 1,
"pageSize": 20,
"totalPages": 2
}
}{
"status": "error",
"message": "Unauthorized"
}{
"status": "error",
"message": "Internal server error"
}Notifications
Get Notifications
Retrieves a list of notifications for the current user.
GET
/
notifications
Get Notifications
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
Required Permissions
notifications:read
- Required role:
useror higher
Code Examples
const response = await fetch('https://api.royalti.io/notifications', {
method: 'GET',
headers: {
'Authorization': `Bearer ${token}`,
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
'https://api.royalti.io/notifications',
headers={
'Authorization': f'Bearer {token}'
},
)
data = response.json()
print(data)
curl -X GET https://api.royalti.io/notifications \
-H "Authorization: Bearer YOUR_TOKEN" \
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
⌘I